## debusine 0.1.0

=== Makefile ===
# PYTHONDEVMODE to enable PYTHONASYNCDEBUG=1 and other flags
PYTHON_ENVIRONMENT := PYTHONASYNCDEBUG=1 PYTHONDEBUG=1

# Quick sanity check to run before each commit
check:
	tox -e black -e flake8

# Reformat the code and show changes made by black
black:
	black --line-length 80 --skip-string-normalization --diff --quiet debusine/
	black --line-length 80 --skip-string-normalization debusine/

coverage:
	python3 -m coverage erase
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p ./manage.py test debusine.db debusine.server debusine.web debusine.project debusine.test
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p -m unittest discover debusine.client
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p -m unittest discover debusine.tasks
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p -m unittest discover debusine.worker
	python3 -m coverage combine
	python3 -m coverage html

.PHONY: check black coverage

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build
LINKCHECKOUTPUTDIR	= $(BUILDDIR)/linkcheck

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

linkcheck:
	# sphinx version 4.1 (Bookworm) has the option "linkcheck_allowed_redirects"
	# (https://www.sphinx-doc.org/en/master/usage/configuration.html#confval-linkcheck_allowed_redirects)
	@$(SPHINXBUILD) -b linkcheck "$(SOURCEDIR)" "$(LINKCHECKOUTPUTDIR)"
	echo "sphinx linkcheck report available in $(LINKCHECKOUTPUTDIR)"

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
debusine (0.1.0) experimental; urgency=medium

  * Initial Release.

  [ Raphaël Hertzog ]
  * Made plans and came up with the design.

  [ Carles Pina i Estany ]
  * Implemented the initial features. We now have:
    - A server that can drives many workers over a worker-initiated websocket
      connection. The worker use the server's API to get work requests
      and provide results.
    - An Sbuild task that workers can run

 -- Raphaël Hertzog <raphael@freexian.com>  Fri, 09 Sep 2022 15:12:54 +0200

=== debian/control ===
Source: debusine
Section: devel
Priority: optional
Maintainer: Raphaël Hertzog <raphael@freexian.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 dh-sequence-sphinxdoc,
 python3,
 python3-coverage,
 python3-setuptools,
 python3-sphinx,
 python3-django (>= 2:3.2),
 python3-django-channels,
 python3-djangorestframework,
 python3-psycopg2,
 python3-sphinx-rtd-theme,
 postgresql,
 redis-server,
 python3-jsonschema,
 python3-responses,
 python3-yaml,
 python3-tabulate,
 python3-channels-redis,
 python3-pydantic,
 python3-aiohttp,
 python3-psutil,
 libjs-jquery-throttle-debounce,
 libjs-jquery-isonscreen,
 libjs-jquery-tablesorter,
 python3-doc,
 graphviz,
Standards-Version: 4.6.1
Homepage: https://salsa.debian.org/freexian-team/debusine
Vcs-Browser: https://salsa.debian.org/freexian-team/debusine
Vcs-Git: https://salsa.debian.org/freexian-team/debusine.git
Rules-Requires-Root: no

Package: python3-debusine
Architecture: all
Section: python
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Main Python library for debusine
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package contains most of the Python libraries.

Package: python3-debusine-server
Architecture: all
Section: python
Depends:
 ${python3:Depends},
 python3-debusine (= ${source:Version}),
 python3-django (>= 2:3.2),
 ${misc:Depends},
Description: Server part of the Python library for debusine
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package contains the server related part of the Python libraries.

Package: debusine-server
Architecture: all
Depends:
 ${python3:Depends},
 python3-debusine-server (= ${source:Version}),
 daphne,
 adduser,
 ${misc:Depends},
Description: Services to run a debusine server
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package provides all the required services to run a debusine server.

Package: debusine-client
Architecture: all
Depends:
 ${python3:Depends},
 python3-debusine (= ${source:Version}),
 ${misc:Depends},
Description: Command line client to interact with a debusine server
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package provides the command line client used to interact with a
 debusine server.

Package: debusine-worker
Architecture: all
Depends:
 ${python3:Depends},
 python3-debusine (= ${source:Version}),
 adduser,
 sbuild,
 libwww-perl,
 schroot,
 ${misc:Depends},
Description: Standalone daemon handling work requests for a debusine server
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package provides the services to run a debusine worker executing work
 requests sent by a debusine server.

Package: debusine-doc
Architecture: all
Built-Using: ${sphinxdoc:Built-Using},
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Documentation for debusine
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 The documentation includes end-user documentation (how to use), administrator
 documentation (how to setup) and developer documentation (how to contribute,
 design and API).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	# LANG settings to work around a bug in Python: https://github.com/python/cpython/issues/93251
	# The ticket talks about:
	# -socket.getfqdn(): this happens in Debusine's code in ./debusine/project/settings/defaults.py
	# -locale.setlocale(locale.LC_ALL, ''): this happens in sphinx code
	# -LANG=ru_RU.CP1251: one of the locales used by reprotest
	# -hostname is not resolvable: reprotest sets the hostname to reprotest-capture-hostname
	#  but reprotest-capture-hostname is not resolvable (not via /etc/hosts or any other method)
	sed -i -e "s|https://docs.python.org/|/usr/share/doc/python3-doc/html|" docs/conf.py
	LANG= LC_ALL= LANGUAGE= PYTHONPATH=. python3 -m sphinx --no-color -bhtml docs/ build/html # HTML generator
	sed -i -e "s|/usr/share/doc/python3-doc/html|https://docs.python.org/|" docs/conf.py
	# LANG= LC_ALL= LANGUAGE= PYTHONPATH=. python3 -m sphinx --no-color -bman docs/ build/man # Manpage generator

override_dh_auto_test:
	# XXX: Disable tests as they require postgresql and redis to run
	# and to be configured. One day we might run those in a temporary
	# space.
	# dh_auto_test -- --system=custom --test-args="make coverage"

override_dh_auto_install:
	dh_auto_install
	
	# Copy python3-debusine-server settings from the distributed ones into
	# /etc/debusine/server . Create a link from selected.py to production.py
	CONFIG_SRC_DIR=`echo debian/tmp/usr/lib/python3*/dist-packages/debusine/project/settings`; \
	CONFIG_DEST_PACKAGED_DIR=/etc/debusine/server; \
	CONFIG_DEST_DIR=debian/tmp/$$CONFIG_DEST_PACKAGED_DIR; \
	mkdir -p "$$CONFIG_DEST_DIR"; \
	rm "$$CONFIG_SRC_DIR/selected.py"; \
	mv "$$CONFIG_SRC_DIR/"* "$$CONFIG_DEST_DIR"; \
	rmdir "$$CONFIG_SRC_DIR"; \
	ln -s "$$CONFIG_DEST_PACKAGED_DIR" "$$CONFIG_SRC_DIR"; \
	ln -s --relative "$$CONFIG_DEST_DIR/production.py" "$$CONFIG_DEST_DIR/selected.py"

override_dh_python3:
	dh_python3 --package=python3-debusine-server --requires=debusine.egg-info/requires.txt --depends-section=server
	dh_python3 --package=python3-debusine --requires=debusine.egg-info/requires.txt
	dh_python3 --no-package=python3-debusine --no-package=python3-debusine-server

=== debian/tests/control ===
Tests: unit-tests-tasks
Depends: python3-debusine
Restrictions: allow-stderr

Tests: unit-tests-client
Depends: debusine-client
Restrictions: allow-stderr

Tests: unit-tests-worker
Depends: debusine-worker
Restrictions: allow-stderr

Tests: unit-tests-server
Depends: debusine-server, postgresql, redis-server
Restrictions: allow-stderr, needs-root

Tests: integration-tests-task-sbuild
Depends: debusine-client, debusine-server, debusine-worker, postgresql, redis-server, schroot, debootstrap, sbuild, sudo, nginx
Restrictions: allow-stderr, needs-root, isolation-container

Tests: integration-tests-generic
Depends: debusine-client, debusine-server, debusine-worker, postgresql, redis-server, sudo, nginx
Restrictions: allow-stderr, needs-root

Test-Command: make -C docs/ linkcheck
Depends: debusine-doc, python3-sphinx, python3-debusine-server
Restrictions: allow-stderr, needs-internet

## debusine 0.2.1

=== Makefile ===
# PYTHONDEVMODE to enable PYTHONASYNCDEBUG=1 and other flags
PYTHON_ENVIRONMENT := PYTHONASYNCDEBUG=1 PYTHONDEBUG=1

ifeq ($(VERBOSE),1)
    VERBOSE_OPTION_DJANGO_TESTS:= -v 2
    VERBOSE_OPTION_TESTS := -v
else
    VERBOSE_OPTION_DJANGO_TESTS :=
    VERBOSE_OPTION_TESTS :=
endif

# Quick sanity check to run before each commit
check:
	tox -e pyupgrade,black,flake8,codespell,mypy,shellcheck

# Reformat the code and show changes made by black
black:
	tox -e format

coverage:
	python3 -m coverage erase
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p ./manage.py test debusine.db debusine.server debusine.web debusine.project debusine.test $(VERBOSE_OPTION_DJANGO_TESTS)
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p -m unittest discover debusine.artifacts $(VERBOSE_OPTION_TESTS)
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p -m unittest discover debusine.client $(VERBOSE_OPTION_TESTS)
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p -m unittest discover debusine.tasks $(VERBOSE_OPTION_TESTS)
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p -m unittest discover debusine.worker $(VERBOSE_OPTION_TESTS)
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p -m unittest discover debusine.utils $(VERBOSE_OPTION_TESTS)
	python3 -m coverage combine
	python3 -m coverage html

.PHONY: check black coverage

=== debian/changelog ===
debusine (0.2.1) unstable; urgency=medium

  * New release, mainly bug fixes.
  * Remove "Recommends: fakemachine"; debos doesn't require it.
  * Install systemd units with dh_installsystemd.
  * Ensure that the worker runs with the kvm group.
  * Remove worker dependency on libwww-perl.
  * Limit simplesystemimagebuild autopkgtest to amd64 for now.

 -- Colin Watson <cjwatson@debian.org>  Thu, 07 Mar 2024 12:02:42 +0000

debusine (0.2.0) unstable; urgency=medium

  * New release (see release-history document for details).  Highlights:
    - Added artifact file storage system.
    - Debian developers can use Debusine to run various QA tasks against
      packages they are preparing.  Those tasks can be scheduled through the
      API or through the web UI.
  * Note that it is not possible to directly migrate a database installed
    using 0.1.0.  Migrations from this release to future releases will be
    possible.

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Feb 2024 12:39:05 +0000

=== debian/control ===
Source: debusine
Section: devel
Priority: optional
Maintainer: Raphaël Hertzog <raphael@freexian.com>
Uploaders: Colin Watson <cjwatson@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-sphinxdoc,
 graphviz,
 libjs-jquery-isonscreen,
 libjs-jquery-tablesorter,
 libjs-jquery-throttle-debounce,
 postgresql,
 pybuild-plugin-pyproject,
 python3,
 python3-aiohttp,
 python3-celery,
 python3-channels-redis,
 python3-coverage,
 python3-daphne,
 python3-dateutil,
 python3-debian,
 python3-django (>= 2:3.2),
 python3-django-celery-results,
 python3-django-channels,
 python3-djangorestframework,
 python3-doc,
 python3-email-validator,
 python3-fasteners,
 python3-jwcrypto,
 python3-psutil,
 python3-psycopg2,
 python3-pydantic,
 python3-requests,
 python3-requests-oauthlib,
 python3-requests-toolbelt,
 python3-responses,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-copybutton,
 python3-sphinx-rtd-theme,
 python3-tabulate,
 python3-tenacity,
 python3-yaml,
 redis-server,
Standards-Version: 4.6.2
Homepage: https://salsa.debian.org/freexian-team/debusine
Vcs-Browser: https://salsa.debian.org/freexian-team/debusine
Vcs-Git: https://salsa.debian.org/freexian-team/debusine.git
Rules-Requires-Root: no

Package: python3-debusine
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Main Python library for debusine
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package contains most of the Python libraries.

Package: python3-debusine-server
Architecture: all
Section: python
Depends:
 python3-debusine (= ${source:Version}),
 python3-django (>= 2:3.2),
 ${misc:Depends},
 ${python3:Depends},
Description: Server part of the Python library for debusine
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package contains the server related part of the Python libraries.

Package: debusine-server
Architecture: all
Depends:
 adduser,
 daphne,
 python3-debusine-server (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 default-mta | mail-transport-agent,
 nginx-core | httpd,
 postgresql,
 redis-server,
 sensible-utils,
Description: Services to run a debusine server
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package provides all the required services to run a debusine server.

Package: debusine-client
Architecture: all
Depends:
 python3-debusine (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Command line client to interact with a debusine server
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package provides the command line client used to interact with a
 debusine server.

Package: debusine-worker
Architecture: all
Depends:
 adduser,
 python3-debusine (= ${source:Version}),
 udev,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 autopkgtest,
 debootstrap,
 debos,
 dosfstools,
 e2fsprogs,
 fdisk,
 mmdebstrap,
 parted,
 qemu-utils,
 sbuild,
 uidmap,
 xz-utils,
Suggests:
 incus,
 qemu-kvm,
 schroot,
Description: Standalone daemon handling work requests for a debusine server
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package provides the services to run a debusine worker executing work
 requests sent by a debusine server.

Package: debusine-doc
Architecture: all
Built-Using:
 ${sphinxdoc:Built-Using},
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Documentation for debusine
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 The documentation includes end-user documentation (how to use), administrator
 documentation (how to setup) and developer documentation (how to contribute,
 design and API).

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
+	bin/quick-setup.sh create_directories # so data/logs exist, needed during the documentation building step
 	# LANG settings to work around a bug in Python: https://github.com/python/cpython/issues/93251
 	# The ticket talks about:
 	# -socket.getfqdn(): this happens in Debusine's code in ./debusine/project/settings/defaults.py
@@ -28,6 +29,7 @@
 	
 	# Copy python3-debusine-server settings from the distributed ones into
 	# /etc/debusine/server . Create a link from selected.py to production.py
+	set -e; \
 	CONFIG_SRC_DIR=`echo debian/tmp/usr/lib/python3*/dist-packages/debusine/project/settings`; \
 	CONFIG_DEST_PACKAGED_DIR=/etc/debusine/server; \
 	CONFIG_DEST_DIR=debian/tmp/$$CONFIG_DEST_PACKAGED_DIR; \
@@ -42,3 +44,20 @@
 	dh_python3 --package=python3-debusine-server --requires=debusine.egg-info/requires.txt --depends-section=server
 	dh_python3 --package=python3-debusine --requires=debusine.egg-info/requires.txt
 	dh_python3 --no-package=python3-debusine --no-package=python3-debusine-server
+
+override_dh_installsystemd:
+	dh_installsystemd
+	dh_installsystemd --package=debusine-server \
+		--name=debusine-server-celery
+	dh_installsystemd --package=debusine-server \
+		--name=debusine-server-artifacts-cleanup \
+		debusine-server-artifacts-cleanup.timer
+	dh_installsystemd --package=debusine-server --no-start \
+		--name=debusine-server-artifacts-cleanup \
+		debusine-server-artifacts-cleanup.service
+	dh_installsystemd --package=debusine-server \
+		--name=debusine-server-monthly-cleanup \
+		debusine-server-monthly-cleanup.timer
+	dh_installsystemd --package=debusine-server --no-start \
+		--name=debusine-server-monthly-cleanup \
+		debusine-server-monthly-cleanup.service

=== debian/tests/control ===
Tests: unit-tests-tasks
Depends:
 python3-debusine,
Restrictions: allow-stderr

Tests: unit-tests-client
Depends:
 debusine-client,
Restrictions: allow-stderr

Tests: unit-tests-worker
Depends:
 debusine-worker,
Restrictions: allow-stderr

Tests: unit-tests-server
Depends:
 debusine-server,
 postgresql,
 redis-server,
Restrictions: allow-stderr, needs-root

Tests: integration-tests-tasks-mmdebstrap-autopkgtest-sbuild-lintian-piuparts-blhc
Depends:
 autopkgtest,
 debootstrap,
 debusine-client,
 debusine-server,
 debusine-worker,
 mmdebstrap,
 nginx,
 postgresql,
 redis-server,
 sbuild,
 schroot,
 sudo,
 uidmap,
Restrictions: allow-stderr, needs-root, isolation-container, skippable, needs-internet

Tests: integration-tests-task-simplesystemimagebuild
Architecture: amd64
Depends:
 debos,
 debusine-client,
 debusine-server,
 debusine-worker,
 dosfstools,
 fdisk,
 linux-image-generic,
 nginx,
 parted,
 postgresql,
 qemu-utils,
 redis-server,
 sudo,
 xz-utils,
Restrictions: allow-stderr, needs-root, isolation-container, needs-internet

Tests: integration-tests-generic
Depends:
 debusine-client,
 debusine-server,
 debusine-worker,
 nginx,
 postgresql,
 redis-server,
 sudo,
Restrictions: allow-stderr, needs-root

## debusine 0.4.1~bpo12+1

=== debian/changelog ===
debusine (0.4.1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Mon, 29 Jul 2024 11:51:50 +0100

debusine (0.4.1) unstable; urgency=medium

  * New release.
    - Declare that we require Python 3.11 in Debian packaging (closes:
      #1074254).

 -- Colin Watson <cjwatson@debian.org>  Fri, 28 Jun 2024 09:55:46 +0100

debusine (0.4.0.1) unstable; urgency=medium

  * Reupload 0.4.0 with binaries.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Jun 2024 12:49:28 +0100

debusine (0.4.0) unstable; urgency=medium

  * New release.  Highlights:
    - Allow retrying work requests.
    - Binary-only NMU support for sbuild.
    - Add a signing service.
    - Fix some integration test failures.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Jun 2024 11:32:34 +0100

debusine (0.3.2) unstable; urgency=medium

  * New release, mainly to fix autopkgtest failures on slow architectures.

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jun 2024 08:38:43 +0100

debusine (0.3.1) unstable; urgency=medium

  * New release, mainly bug-fixes to 0.3.0 (see release-history document for
    details).

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 May 2024 11:23:48 +0100

debusine (0.3.0) unstable; urgency=medium

  * New release (see release-history document for details).  Highlights:
    - The focus of this milestone is on automatic orchestration of building
      blocks, to allow tasks to be scheduled for all items of a collection.
      For example, Debusine can now automatically schedule Lintian tasks for
      all packages in a suite.
    - Added collections and workflows.
    - Added a new lookup syntax, taking advantage of collections.
  * Run integration tests using piuparts from trixie rather than unstable.
  * Mark debusine-doc as Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 May 2024 08:37:15 +0100

## debusine 0.4.1

=== Makefile ===
--- 
+++ 
@@ -11,15 +11,19 @@
 
 # Quick sanity check to run before each commit
 check:
-	tox -e pyupgrade,black,flake8,codespell,mypy,shellcheck
+	tox -e pyupgrade,black,djlint,flake8,codespell,mypy,shellcheck
 
 # Reformat the code and show changes made by black
-black:
+format black:
 	tox -e format
+
+djlint:
+	tox -e djlint
 
 coverage:
 	python3 -m coverage erase
-	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p ./manage.py test debusine.db debusine.server debusine.web debusine.project debusine.test $(VERBOSE_OPTION_DJANGO_TESTS)
+	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p ./manage.py test debusine.db debusine.django debusine.server debusine.web debusine.project debusine.test $(VERBOSE_OPTION_DJANGO_TESTS)
+	$(PYTHON_ENVIRONMENT) DJANGO_SETTINGS_MODULE=debusine.signing.settings python3 -m coverage run -p ./manage.py test debusine.signing $(VERBOSE_OPTION_DJANGO_TESTS)
 	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p -m unittest discover debusine.artifacts $(VERBOSE_OPTION_TESTS)
 	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p -m unittest discover debusine.client $(VERBOSE_OPTION_TESTS)
 	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p -m unittest discover debusine.tasks $(VERBOSE_OPTION_TESTS)
@@ -27,5 +31,6 @@
 	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p -m unittest discover debusine.utils $(VERBOSE_OPTION_TESTS)
 	python3 -m coverage combine
 	python3 -m coverage html
+	python3 -m coverage report -m | sed -e 's/^TOTAL         /TOTAL COVERAGE/'
 
-.PHONY: check black coverage
+.PHONY: check format black djlint coverage

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  dh-sequence-sphinxdoc,
  graphviz,
  libjs-jquery-isonscreen,
  libjs-jquery-tablesorter,
  libjs-jquery-throttle-debounce,
+ openssl,
  postgresql,
  pybuild-plugin-pyproject,
  python3,
@@ -28,7 +29,10 @@
  python3-doc,
  python3-email-validator,
  python3-fasteners,
+ python3-jsonpath-rw,
  python3-jwcrypto,
+ python3-lxml,
+ python3-nacl,
  python3-psutil,
  python3-psycopg2,
  python3-pydantic,
@@ -44,11 +48,13 @@
  python3-tenacity,
  python3-yaml,
  redis-server,
+ sbsigntool [amd64 arm64 armhf i386 riscv64],
 Standards-Version: 4.6.2
 Homepage: https://salsa.debian.org/freexian-team/debusine
 Vcs-Browser: https://salsa.debian.org/freexian-team/debusine
 Vcs-Git: https://salsa.debian.org/freexian-team/debusine.git
 Rules-Requires-Root: no
+X-Python3-Version: >= 3.11
 
 Package: python3-debusine
 Architecture: all
@@ -67,6 +73,7 @@
 Section: python
 Depends:
  python3-debusine (= ${source:Version}),
+ python3-debusine-signing (= ${source:Version}),
  python3-django (>= 2:3.2),
  ${misc:Depends},
  ${python3:Depends},
@@ -75,6 +82,24 @@
  Debian-based distribution.
  .
  This package contains the server related part of the Python libraries.
+
+Package: python3-debusine-signing
+Architecture: all
+Section: python
+Depends:
+ python3-debusine (= ${source:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+Breaks:
+ python3-debusine-server (<< 0.3.3~)
+Replaces:
+ python3-debusine-server (<< 0.3.3~)
+Description: Signing worker part of the Python library for debusine
+ Debusine is a general purpose software factory tailored to the needs of a
+ Debian-based distribution.
+ .
+ This package contains the signing worker related part of the Python
+ libraries.
 
 Package: debusine-server
 Architecture: all
@@ -118,6 +143,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
+ arch-test,
  autopkgtest,
  debootstrap,
  debos,
@@ -141,8 +167,25 @@
  This package provides the services to run a debusine worker executing work
  requests sent by a debusine server.
 
+Package: debusine-signing
+Architecture: all
+Depends:
+ openssl,
+ python3-debusine-signing (= ${source:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+Recommends:
+ sbsigntool,
+Description: Signing service for debusine
+ Debusine is a general purpose software factory tailored to the needs of a
+ Debian-based distribution.
+ .
+ This package provides a service that holds private keys and uses them to
+ sign data on behalf of debusine.
+
 Package: debusine-doc
 Architecture: all
+Multi-Arch: foreign
 Built-Using:
  ${sphinxdoc:Built-Using},
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,9 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	bin/quick-setup.sh create_directories # so data/logs exist, needed during the documentation building step
 	# LANG settings to work around a bug in Python: https://github.com/python/cpython/issues/93251
 	# The ticket talks about:
@@ -24,11 +23,10 @@
 	# space.
 	# dh_auto_test -- --system=custom --test-args="make coverage"
 
-override_dh_auto_install:
-	dh_auto_install
-	
-	# Copy python3-debusine-server settings from the distributed ones into
-	# /etc/debusine/server . Create a link from selected.py to production.py
+execute_after_dh_auto_install:
+	# Copy python3-debusine-{server,signing} settings from the
+	# distributed ones into /etc/debusine/{server,signing}. Create a
+	# link from selected.py to production.py.
 	set -e; \
 	CONFIG_SRC_DIR=`echo debian/tmp/usr/lib/python3*/dist-packages/debusine/project/settings`; \
 	CONFIG_DEST_PACKAGED_DIR=/etc/debusine/server; \
@@ -40,15 +38,30 @@
 	ln -s "$$CONFIG_DEST_PACKAGED_DIR" "$$CONFIG_SRC_DIR"; \
 	ln -s --relative "$$CONFIG_DEST_DIR/production.py" "$$CONFIG_DEST_DIR/selected.py"
 
+	set -e; \
+	CONFIG_SRC_DIR=`echo debian/tmp/usr/lib/python3*/dist-packages/debusine/signing/settings`; \
+	CONFIG_DEST_PACKAGED_DIR=/etc/debusine/signing; \
+	CONFIG_DEST_DIR=debian/tmp/$$CONFIG_DEST_PACKAGED_DIR; \
+	mkdir -p "$$CONFIG_DEST_DIR"; \
+	rm "$$CONFIG_SRC_DIR/selected.py"; \
+	mv "$$CONFIG_SRC_DIR/"* "$$CONFIG_DEST_DIR"; \
+	rmdir "$$CONFIG_SRC_DIR"; \
+	ln -s "$$CONFIG_DEST_PACKAGED_DIR" "$$CONFIG_SRC_DIR"; \
+	ln -s --relative "$$CONFIG_DEST_DIR/production.py" "$$CONFIG_DEST_DIR/selected.py"
+
 override_dh_python3:
 	dh_python3 --package=python3-debusine-server --requires=debusine.egg-info/requires.txt --depends-section=server
+	dh_python3 --package=python3-debusine-signing --requires=debusine.egg-info/requires.txt --depends-section=signing
 	dh_python3 --package=python3-debusine --requires=debusine.egg-info/requires.txt
-	dh_python3 --no-package=python3-debusine --no-package=python3-debusine-server
+	dh_python3 --no-package=python3-debusine --no-package=python3-debusine-server --no-package=python3-debusine-signing
 
-override_dh_installsystemd:
-	dh_installsystemd
+execute_after_dh_installsystemd:
 	dh_installsystemd --package=debusine-server \
 		--name=debusine-server-celery
+	dh_installsystemd --package=debusine-server \
+		--name=debusine-server-periodic-tasks
+	dh_installsystemd --package=debusine-server \
+		--name=debusine-server-scheduler
 	dh_installsystemd --package=debusine-server \
 		--name=debusine-server-artifacts-cleanup \
 		debusine-server-artifacts-cleanup.timer

=== debian/tests/control ===
--- 
+++ 
@@ -17,12 +17,21 @@
 Depends:
  debusine-server,
  postgresql,
+ python3-lxml,
  redis-server,
+Restrictions: allow-stderr, needs-root
+
+Tests: unit-tests-signing
+Depends:
+ debusine-signing,
+ postgresql,
+ python3-cryptography,
 Restrictions: allow-stderr, needs-root
 
 Tests: integration-tests-tasks-mmdebstrap-autopkgtest-sbuild-lintian-piuparts-blhc
 Depends:
  autopkgtest,
+ ca-certificates,
  debootstrap,
  debusine-client,
  debusine-server,
@@ -33,6 +42,7 @@
  redis-server,
  sbuild,
  schroot,
+ ssl-cert,
  sudo,
  uidmap,
 Restrictions: allow-stderr, needs-root, isolation-container, skippable, needs-internet
@@ -40,6 +50,7 @@
 Tests: integration-tests-task-simplesystemimagebuild
 Architecture: amd64
 Depends:
+ ca-certificates,
  debos,
  debusine-client,
  debusine-server,
@@ -52,17 +63,34 @@
  postgresql,
  qemu-utils,
  redis-server,
+ ssl-cert,
  sudo,
  xz-utils,
 Restrictions: allow-stderr, needs-root, isolation-container, needs-internet
 
+Tests: integration-tests-task-signing
+Depends:
+ ca-certificates,
+ debusine-client,
+ debusine-server,
+ debusine-signing,
+ nginx,
+ postgresql,
+ redis-server,
+ sbsigntool [amd64 arm64 armhf i386 riscv64],
+ ssl-cert,
+ sudo,
+Restrictions: allow-stderr, needs-root, isolation-container
+
 Tests: integration-tests-generic
 Depends:
+ ca-certificates,
  debusine-client,
  debusine-server,
  debusine-worker,
  nginx,
  postgresql,
  redis-server,
+ ssl-cert,
  sudo,
 Restrictions: allow-stderr, needs-root

## debusine 0.5.0~bpo12+1

=== Makefile ===
# PYTHONDEVMODE to enable PYTHONASYNCDEBUG=1 and other flags.
# PYTHONTRACEMALLOC=1 is helpful when debugging ResourceWarnings, but is too
# slow to leave enabled all the time.
PYTHON_ENVIRONMENT := PYTHONASYNCDEBUG=1 PYTHONDEBUG=1 PYTHONWARNINGS=always::ResourceWarning

ifeq ($(VERBOSE),1)
    VERBOSE_OPTION_DJANGO_TESTS:= -v 2
    VERBOSE_OPTION_TESTS := -v
else
    VERBOSE_OPTION_DJANGO_TESTS :=
    VERBOSE_OPTION_TESTS :=
endif

# Quick sanity check to run before each commit
check:
	pre-commit run -a

# Reformat the code and show changes made by black
format black:
	tox -e format

djlint:
	tox -e djlint

coverage:
	python3 -m coverage erase
	$(PYTHON_ENVIRONMENT) python3 -m coverage run ./manage.py test debusine.db debusine.django debusine.server debusine.web debusine.project debusine.test $(VERBOSE_OPTION_DJANGO_TESTS)
	$(PYTHON_ENVIRONMENT) DJANGO_SETTINGS_MODULE=debusine.signing.settings python3 -m coverage run ./manage.py test debusine.signing $(VERBOSE_OPTION_DJANGO_TESTS)
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -m unittest discover debusine.artifacts $(VERBOSE_OPTION_TESTS)
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -m unittest discover debusine.client $(VERBOSE_OPTION_TESTS)
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -m unittest discover debusine.tasks $(VERBOSE_OPTION_TESTS)
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -m unittest discover debusine.worker $(VERBOSE_OPTION_TESTS)
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -m unittest discover debusine.utils $(VERBOSE_OPTION_TESTS)
	python3 -m coverage combine
	python3 -m coverage html
	python3 -m coverage report -m | sed -e 's/^TOTAL         /TOTAL COVERAGE/'

css:
	( \
		echo "/* This file is generated by pygments by running make css. License is BSD-2-clause (same as pygments) */" ; \
		python3 -m pygments -S github-dark -f html \
	) > debusine/web/static/web/css/debusine-code-highlight.css

.PHONY: check format black djlint coverage css

=== debian/changelog ===
debusine (0.5.0~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Sep 2024 10:38:14 +0100

debusine (0.5.0) unstable; urgency=medium

  * New release.  Highlights:
    - Improvements with the aim of making debusine usable as a build daemon.
    - Progress towards making debusine usable by security teams.
    - Provide a more attractive and consistent UI for artifacts and work
      requests.
    - Make task-killing tests more reliable (closes: #1077903).

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Sep 2024 10:26:12 +0100

## debusine 0.5.0

=== debian/control ===
--- 
+++ 
@@ -6,49 +6,50 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- dh-sequence-sphinxdoc,
- graphviz,
- libjs-jquery-isonscreen,
- libjs-jquery-tablesorter,
- libjs-jquery-throttle-debounce,
- openssl,
- postgresql,
+ dh-sequence-sphinxdoc <!nodoc>,
+ graphviz <!nodoc>,
+ libjs-jquery-isonscreen <!nodoc>,
+ libjs-jquery-tablesorter <!nodoc>,
+ libjs-jquery-throttle-debounce <!nodoc>,
+ openssl <!nocheck>,
+ postgresql <!nocheck>,
  pybuild-plugin-pyproject,
- python3,
- python3-aiohttp,
- python3-celery,
- python3-channels-redis,
- python3-coverage,
- python3-daphne,
- python3-dateutil,
- python3-debian,
- python3-django (>= 2:3.2),
- python3-django-celery-results,
- python3-django-channels,
- python3-djangorestframework,
- python3-doc,
- python3-email-validator,
- python3-fasteners,
- python3-jsonpath-rw,
- python3-jwcrypto,
- python3-lxml,
- python3-nacl,
- python3-psutil,
- python3-psycopg2,
- python3-pydantic,
- python3-requests,
- python3-requests-oauthlib,
- python3-requests-toolbelt,
- python3-responses,
- python3-setuptools,
- python3-sphinx,
- python3-sphinx-copybutton,
- python3-sphinx-rtd-theme,
- python3-tabulate,
- python3-tenacity,
- python3-yaml,
- redis-server,
- sbsigntool [amd64 arm64 armhf i386 riscv64],
+ python3 <!nocheck>,
+ python3-aiohttp <!nodoc>,
+ python3-celery <!nodoc>,
+ python3-channels-redis <!nodoc>,
+ python3-coverage <!nocheck>,
+ python3-daphne <!nodoc>,
+ python3-dateutil <!nocheck>,
+ python3-debian <!nodoc>,
+ python3-django (>= 2:3.2) <!nodoc>,
+ python3-django-celery-results <!nodoc>,
+ python3-django-channels <!nodoc>,
+ python3-djangorestframework <!nodoc>,
+ python3-doc <!nocheck>,
+ python3-email-validator <!nodoc>,
+ python3-fasteners <!nodoc>,
+ python3-hatchling,
+ python3-jsonpath-rw <!nodoc>,
+ python3-jwcrypto <!nocheck>,
+ python3-lxml <!nocheck>,
+ python3-nacl <!nocheck>,
+ python3-psutil <!nocheck>,
+ python3-psycopg2 <!nodoc>,
+ python3-pydantic <!nodoc>,
+ python3-pygments <!nodoc>,
+ python3-requests <!nocheck>,
+ python3-requests-oauthlib <!nocheck>,
+ python3-requests-toolbelt <!nodoc>,
+ python3-responses <!nocheck>,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-copybutton <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-tabulate <!nocheck>,
+ python3-tenacity <!nodoc>,
+ python3-yaml <!nodoc>,
+ redis-server <!nocheck>,
+ sbsigntool [amd64 arm64 armhf i386 riscv64] <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://salsa.debian.org/freexian-team/debusine
 Vcs-Browser: https://salsa.debian.org/freexian-team/debusine
@@ -105,7 +106,9 @@
 Architecture: all
 Depends:
  adduser,
+ arch-test,
  daphne,
+ dbconfig-pgsql | dbconfig-no-thanks,
  python3-debusine-server (= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends},
@@ -138,12 +141,12 @@
 Architecture: all
 Depends:
  adduser,
+ arch-test,
  python3-debusine (= ${source:Version}),
  udev,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
- arch-test,
  autopkgtest,
  debootstrap,
  debos,
@@ -170,8 +173,11 @@
 Package: debusine-signing
 Architecture: all
 Depends:
+ arch-test,
+ dbconfig-pgsql | dbconfig-no-thanks,
  openssl,
  python3-debusine-signing (= ${source:Version}),
+ python3-gpg,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

=== debian/tests/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 Tests: unit-tests-server
 Depends:
+ dbconfig-no-thanks,
  debusine-server,
  postgresql,
  python3-lxml,
@@ -23,6 +24,7 @@
 
 Tests: unit-tests-signing
 Depends:
+ dbconfig-no-thanks,
  debusine-signing,
  postgresql,
  python3-cryptography,
@@ -74,17 +76,21 @@
  debusine-client,
  debusine-server,
  debusine-signing,
+ debusine-worker,
+ mmdebstrap,
  nginx,
  postgresql,
  redis-server,
  sbsigntool [amd64 arm64 armhf i386 riscv64],
  ssl-cert,
  sudo,
-Restrictions: allow-stderr, needs-root, isolation-container
+ uidmap,
+Restrictions: allow-stderr, needs-root, isolation-container, needs-internet
 
 Tests: integration-tests-generic
 Depends:
  ca-certificates,
+ dbconfig-no-thanks,
  debusine-client,
  debusine-server,
  debusine-worker,
@@ -93,4 +99,4 @@
  redis-server,
  ssl-cert,
  sudo,
-Restrictions: allow-stderr, needs-root
+Restrictions: allow-stderr, needs-root, isolation-container

## debusine 0.6.0

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	$(PYTHON_ENVIRONMENT) python3 -m coverage run -m unittest discover debusine.utils $(VERBOSE_OPTION_TESTS)
 	python3 -m coverage combine
 	python3 -m coverage html
-	python3 -m coverage report -m | sed -e 's/^TOTAL         /TOTAL COVERAGE/'
+	python3 -m coverage report --precision=2 --show-missing --skip-covered $(if $(TOTAL_COVERAGE),| perl -pe '$$total = $$1 if /^TOTAL .* (\d+(?:\.\d+)?%)/; END { print "TOTAL COVERAGE $$total\n" }')
 
 css:
 	( \

=== debian/changelog ===
debusine (0.6.0) unstable; urgency=medium

  * New release.  Highlights:
    - Add system for coordinating multiple sub-workflows.
    - Add autopkgtest workflow.
    - Add package upload workflow.
  * Debconf translations:
    - German (thanks, Christoph Brinkhaus; closes: #1081125).
    - Spanish (thanks, Camaleón; closes: #1081762).

 -- Colin Watson <cjwatson@debian.org>  Thu, 10 Oct 2024 20:31:52 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ devscripts,
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  graphviz <!nodoc>,
@@ -19,6 +20,7 @@
  python3-celery <!nodoc>,
  python3-channels-redis <!nodoc>,
  python3-coverage <!nocheck>,
+ python3-cryptography <!nocheck>,
  python3-daphne <!nodoc>,
  python3-dateutil <!nocheck>,
  python3-debian <!nodoc>,
@@ -28,15 +30,18 @@
  python3-djangorestframework <!nodoc>,
  python3-doc <!nocheck>,
  python3-email-validator <!nodoc>,
+ python3-fabric <!nocheck>,
  python3-fasteners <!nodoc>,
  python3-hatchling,
  python3-jsonpath-rw <!nodoc>,
  python3-jwcrypto <!nocheck>,
  python3-lxml <!nocheck>,
  python3-nacl <!nocheck>,
+ python3-paramiko <!nocheck>,
  python3-psutil <!nocheck>,
  python3-psycopg2 <!nodoc>,
  python3-pydantic <!nodoc>,
+ python3-pyftpdlib <!nocheck>,
  python3-pygments <!nodoc>,
  python3-requests <!nocheck>,
  python3-requests-oauthlib <!nocheck>,
@@ -181,6 +186,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
+ devscripts,
  sbsigntool,
 Description: Signing service for debusine
  Debusine is a general purpose software factory tailored to the needs of a

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 %:
 	dh $@ --buildsystem=pybuild
 
+ifeq (,$(filter $(DEB_BUILD_OPTIONS),nodoc))
 execute_after_dh_auto_build:
 	bin/quick-setup.sh create_directories # so data/logs exist, needed during the documentation building step
 	# LANG settings to work around a bug in Python: https://github.com/python/cpython/issues/93251
@@ -16,6 +17,7 @@
 	LANG= LC_ALL= LANGUAGE= PYTHONPATH=. python3 -m sphinx --no-color -bhtml docs/ build/html # HTML generator
 	sed -i -e "s|/usr/share/doc/python3-doc/html|https://docs.python.org/|" docs/conf.py
 	# LANG= LC_ALL= LANGUAGE= PYTHONPATH=. python3 -m sphinx --no-color -bman docs/ build/man # Manpage generator
+endif
 
 override_dh_auto_test:
 	# XXX: Disable tests as they require postgresql and redis to run
@@ -32,6 +34,7 @@
 	CONFIG_DEST_PACKAGED_DIR=/etc/debusine/server; \
 	CONFIG_DEST_DIR=debian/tmp/$$CONFIG_DEST_PACKAGED_DIR; \
 	mkdir -p "$$CONFIG_DEST_DIR"; \
+	rm "$$CONFIG_SRC_DIR/db_postgresql.py"; \
 	rm "$$CONFIG_SRC_DIR/selected.py"; \
 	mv "$$CONFIG_SRC_DIR/"* "$$CONFIG_DEST_DIR"; \
 	rmdir "$$CONFIG_SRC_DIR"; \
@@ -43,6 +46,7 @@
 	CONFIG_DEST_PACKAGED_DIR=/etc/debusine/signing; \
 	CONFIG_DEST_DIR=debian/tmp/$$CONFIG_DEST_PACKAGED_DIR; \
 	mkdir -p "$$CONFIG_DEST_DIR"; \
+	rm "$$CONFIG_SRC_DIR/db_postgresql.py"; \
 	rm "$$CONFIG_SRC_DIR/selected.py"; \
 	mv "$$CONFIG_SRC_DIR/"* "$$CONFIG_DEST_DIR"; \
 	rmdir "$$CONFIG_SRC_DIR"; \
@@ -50,10 +54,12 @@
 	ln -s --relative "$$CONFIG_DEST_DIR/production.py" "$$CONFIG_DEST_DIR/selected.py"
 
 override_dh_python3:
-	dh_python3 --package=python3-debusine-server --requires=debusine.egg-info/requires.txt --depends-section=server
-	dh_python3 --package=python3-debusine-signing --requires=debusine.egg-info/requires.txt --depends-section=signing
-	dh_python3 --package=python3-debusine --requires=debusine.egg-info/requires.txt
+	dh_python3 --package=python3-debusine-server --depends-section=server
+	dh_python3 --package=python3-debusine-signing --depends-section=signing
+	dh_python3 --package=python3-debusine
 	dh_python3 --no-package=python3-debusine --no-package=python3-debusine-server --no-package=python3-debusine-signing
+	rm -rf debian/python3-debusine-server/usr/lib/python3*/dist-packages/debusine-*.dist-info
+	rm -rf debian/python3-debusine-signing/usr/lib/python3*/dist-packages/debusine-*.dist-info
 
 execute_after_dh_installsystemd:
 	dh_installsystemd --package=debusine-server \
@@ -74,3 +80,7 @@
 	dh_installsystemd --package=debusine-server --no-start \
 		--name=debusine-server-monthly-cleanup \
 		debusine-server-monthly-cleanup.service
+	dh_installsystemd --package=debusine-server \
+		--name=debusine-server-migrate
+	dh_installsystemd --package=debusine-signing \
+		--name=debusine-signing-migrate

=== debian/tests/control ===
--- 
+++ 
@@ -19,6 +19,8 @@
  debusine-server,
  postgresql,
  python3-lxml,
+ python3-paramiko,
+ python3-pyftpdlib,
  redis-server,
 Restrictions: allow-stderr, needs-root
 
@@ -26,6 +28,7 @@
 Depends:
  dbconfig-no-thanks,
  debusine-signing,
+ devscripts,
  postgresql,
  python3-cryptography,
 Restrictions: allow-stderr, needs-root

## debusine 0.7.2~bpo12+1

=== debian/changelog ===
debusine (0.7.2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Mon, 18 Nov 2024 08:44:56 +0100

debusine (0.7.2) unstable; urgency=medium

  * Use hello from bookworm in piuparts integration test.

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Nov 2024 10:58:25 +0000

debusine (0.7.1) unstable; urgency=medium

  * Fetch packages from matching suites in integration tests.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Nov 2024 20:49:55 +0000

debusine (0.7.0) unstable; urgency=medium

  * New release.  Highlights:
    - Rework URLs to allow for scopes.
    - Add permissions framework and several initial checks.
    - Add several workflows, including a debian_pipeline workflow.
  * Make sure $HOME of debusine-* users is owned by the user.
  * Debconf translations:
    - Dutch (thanks, Frans Spiesschaert; closes: #1087216).

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Nov 2024 10:46:56 +0000

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  python3-daphne <!nodoc>,
  python3-dateutil <!nocheck>,
  python3-debian <!nodoc>,
- python3-django (>= 2:3.2) <!nodoc>,
+ python3-django (>= 3:4.2) <!nodoc>,
  python3-django-celery-results <!nodoc>,
  python3-django-channels <!nodoc>,
  python3-djangorestframework <!nodoc>,
@@ -44,6 +44,7 @@
  python3-pyftpdlib <!nocheck>,
  python3-pygments <!nodoc>,
  python3-requests <!nocheck>,
+ python3-requests-file <!nocheck>,
  python3-requests-oauthlib <!nocheck>,
  python3-requests-toolbelt <!nodoc>,
  python3-responses <!nocheck>,
@@ -80,7 +81,7 @@
 Depends:
  python3-debusine (= ${source:Version}),
  python3-debusine-signing (= ${source:Version}),
- python3-django (>= 2:3.2),
+ python3-django (>= 3:4.2),
  ${misc:Depends},
  ${python3:Depends},
 Description: Server part of the Python library for debusine

## debusine 0.8.0

=== debian/changelog ===
debusine (0.8.0) unstable; urgency=medium

  * New release.  Highlights:
    - Enforce permissions in many more places.
    - Reorganize web UI URLs around scopes and workspaces.
    - Add package_publish and reverse_dependencies_autopkgtest workflows.

 -- Colin Watson <cjwatson@debian.org>  Thu, 26 Dec 2024 00:07:47 +0000

=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
  python3-email-validator <!nodoc>,
  python3-fabric <!nocheck>,
  python3-fasteners <!nodoc>,
+ python3-hatch-vcs,
  python3-hatchling,
  python3-jsonpath-rw <!nodoc>,
  python3-jwcrypto <!nocheck>,
@@ -48,10 +49,10 @@
  python3-requests-oauthlib <!nocheck>,
  python3-requests-toolbelt <!nodoc>,
  python3-responses <!nocheck>,
+ python3-rich <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
- python3-tabulate <!nocheck>,
  python3-tenacity <!nodoc>,
  python3-yaml <!nodoc>,
  redis-server <!nocheck>,

=== debian/tests/control ===
--- 
+++ 
@@ -33,10 +33,11 @@
  python3-cryptography,
 Restrictions: allow-stderr, needs-root
 
-Tests: integration-tests-tasks-mmdebstrap-autopkgtest-sbuild-lintian-piuparts-blhc
+Tests: integration-tests-tasks-mmdebstrap-autopkgtest-sbuild-lintian-piuparts-blhc-debdiff
 Depends:
  autopkgtest,
  ca-certificates,
+ debian-archive-keyring,
  debootstrap,
  debusine-client,
  debusine-server,
@@ -71,11 +72,12 @@
  ssl-cert,
  sudo,
  xz-utils,
-Restrictions: allow-stderr, needs-root, isolation-container, needs-internet
+Restrictions: allow-stderr, needs-root, isolation-container, skippable, needs-internet
 
 Tests: integration-tests-task-signing
 Depends:
  ca-certificates,
+ debian-archive-keyring,
  debusine-client,
  debusine-server,
  debusine-signing,
@@ -99,7 +101,16 @@
  debusine-worker,
  nginx,
  postgresql,
+ python3-lxml,
  redis-server,
  ssl-cert,
  sudo,
 Restrictions: allow-stderr, needs-root, isolation-container
+
+Features: test-name=hint-testsuite-triggers
+Test-Command: false
+Depends:
+ libslirp-helper,
+ systemd-resolved,
+ user-mode-linux,
+Restrictions: hint-testsuite-triggers

## debusine 0.8.1~bpo12+2

=== debian/changelog ===
debusine (0.8.1~bpo12+2) bookworm-backports; urgency=medium

  * Fix version handling for backports.

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Jan 2025 13:32:05 +0000

debusine (0.8.1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 Jan 2025 09:22:27 +0000

debusine (0.8.1) unstable; urgency=medium

  * New release.
    - Use an in-memory channel layer for tests, rather than Redis (closes:
      #1092587).

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Jan 2025 16:29:22 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
+
+export SETUPTOOLS_SCM_PRETEND_VERSION := $(shell debian/get-version '$(DEB_VERSION_UPSTREAM)')
 
 %:
 	dh $@ --buildsystem=pybuild
